
Figure - Bug #116547
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】先打开一应用小窗，更改小窗的位置状态与页面内容，再单击同一应用图标，
小窗的相应配置不应该发生变化
2023-02-24 17:24 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-24

Priority: High Due date: 2023-03-02

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302240131

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303040019

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: Launcher启动小窗和正常启动app的Intent action不对导致的

Description

【前提条件】

1、设备正常启动

【测试步骤】（以视频为例） 

1、打开视频小窗

2、播放视频

3、点击桌面上视频图标

【预期结果】

3、视频继续播放

【实际结果】

2、视频播放停止，返回视频列表

【复现率】

3/3

History

#1 - 2023-02-28 10:22 - CD FW-鲁凯峰

- Due date set to 2023-03-02

#2 - 2023-03-03 17:37 - CD FW-鲁凯峰

■ Current conclusion

问题已经解决

■ My analysis

产生问题的原因是Launcher启动小窗和正常启动app的Intent action不对导致的

启动小窗时并没有设置Action和category

    public void coldStart(ComponentName cn) {

        Intent intent = new Intent();
        intent.setComponent(cn);

        intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK | Intent.FLAG_ACTIVITY_CLEAR_TASK);

正常启动某个app时就会设置Action和Category

    public static Intent makeLaunchIntent(ComponentName cn) {

        return new Intent(Intent.ACTION_MAIN)

                .addCategory(Intent.CATEGORY_LAUNCHER)

                .setComponent(cn)

                .setFlags(Intent.FLAG_ACTIVITY_NEW_TASK

                        | Intent.FLAG_ACTIVITY_RESET_TASK_IF_NEEDED);

    }

这样就导致ActivityStarter在complyActivityFlags中比较taskTopActivity的intent参数和要启动的activity参数就会不一样,就会导致activity每次都会重新创建,而不

是走delivery

to top的流程,导致启动页面的配置丢失

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/185679

#3 - 2023-03-03 17:38 - CD FW-鲁凯峰

- Root cause set to Launcher启动小窗和正常启动app的Intent action不对导致的

#4 - 2023-03-03 18:55 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#5 - 2023-03-06 17:45 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303040019

3.6

验证通过

#6 - 2023-03-06 17:46 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-24 17-23-44.mp4 8.75 MB 2023-02-24 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/185679

